<form novalidate (ngSubmit)="addToCart()" [formGroup]="orderForm">
  <mat-card-content fxLayout="column">
    <mat-form-field appearance="fill" floatLabel="auto" pmClickStopPropagation>
      <mat-label>Option</mat-label>
      <mat-select formControlName="variant">
        <mat-option *ngFor="let variant of options.variants" [value]="variant">
          {{variant.variant}}
        </mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field appearance="fill" floatLabel="auto" pmClickStopPropagation>
      <mat-label>Quantity</mat-label>
      <input matInput type="number" step="1" min="1" formControlName="quantity">
      <mat-error *ngIf="orderForm.get('quantity').invalid">{{getErrorMessage()}}</mat-error>
    </mat-form-field>
  </mat-card-content>
  <mat-card-actions align="end">
    <button type="submit" mat-button pmClickStopPropagation [disabled]="!orderForm.valid">
      <mat-icon aria-hidden="false" aria-label="add shopping cart icon">add_shopping_cart
      </mat-icon>
      Add to Cart
    </button>
  </mat-card-actions>
</form>
